Kerbal Space Program - Bug #3107

Timewarp Causes Fixed Velocity
09/18/2014 12:06 PM - GentlemanThief

Status: Closed Start date: 09/18/2014
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.24 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

| have recently begun encountering a very annoying bug wherein using timewarp sometimes causes the command module or drone
core of a ship to become fixed. Nothing can change the part's speed, direction, or orientation; thrusters, reaction wheels, RCS, and
even gravity have no effect. I'm not sure how to reproduce the bug, as it seems to occur at random, but once it strikes, it will then
affect any vessel | switch to afterward. If | revert to a time before the initial timewarp that caused the bug simply causes it to occur the
next time | warp time. Quitting the game and loading a save from before the bug happens seems to fix it, but it can still happen again
later.

| am using some mods, but the bug has struck even when flying a ship made entirely of stock parts.
Mods:

-Docking Port Alignment Indicator

-Spaceplane Plus

-Hot Rockets

-Kerbal Attachment System

-Procedural Fairings

-Karbonite

-SCAN Sat

Related issues:
Related to Kerbal Space Program - Bug #2753: New kraken: all ships accelerate... Closed 07/12/2014

History

#1 - 10/19/2014 11:48 PM - TruePikachu

General consensus has been to not open a report unless the issue has been confirmed on a 100% stock install (probably excluding some part mods,
I'm not sure) - apparently, even things which seem completly unrelated can screw things up cough*DebRefund*cough

Anyway, | have a "confirmation" (KSP 0.25), but it is still a modded install, and some things are different:

® Revert to SPH seems to undo the bug for a time; a quick F5/F9 cycle might also work

¢ |f the craft reaches 100,000 km, explosions occur (reproduced)

¢ If you try to EVA a Kerbal, their EVA packs don't have much of an effect. If you then switch back to the vessel, the Kerbal will appear to fall
towards the parent body's CoM (I don't know if this is acceleration towards the CoM, or the vessel accelerating away from the CoM). This is very
likely a related bug.

| have been able to reproduce the issue on the runway ( http://steamcommunity.com/sharedfiles/filedetails/?id=329263674 ), with a combo of messing
with time warp and gravity hacking; gravity is ON in the picture.

The part which remains fixed appears to be the root part; the first time | encountered this (and everything blew up), only my cargo bay remained,
which was the root part.

The "related bug" | mentioned: at one point, | deployed an LV-N, and the fairings (which are NOT physicsless, unlike all the other ones) appeared to
fall back to Kerbin. | do not know if this bug is really related or not.

| am on the Win32 version, though launching under x86-64, so the core bug would not be x64 exclusive, though some of the effects the OP listed
might be.

Mods (only those in common are listed):
¢ Navyfish Docking Port Alignment Indicator (4.0, 6/29/14, KSP ??7?)

e "Spaceplanes Plus" (integrated into KSP)
e Kerbal Attachment System (0.4.9, 10/8/14, KSP 0.25)
http://steamcommunity.com/sharedfiles/filedetails/?id=329263674

e Procedural Fairings (3.10, 10/11/14, KSP 0.25)
e Karbonite (0.4.2, 10/7/14, KSP 0.25)
¢ SCANsat (8.0, 10/8/14, KSP 0.25)

Danny2462 might have encountered this in 0.24 (stock?), http://youtu.be/kTg3vB8x3TY?t=9m15s . | have only encountered this in the presence of
time warp. Another video from Danny2462, which | don't have a link to, shows a Kerbal with an apparently low-functioning EVA pack; both of these
glitches were caused by misuse of the Klaw, but there might be a common fundamental flaw. (DISCLAIMER: | am only reporting the gravity issue as
possibly being related, not the destruction of Kerbin)

I'll see about getting this tested in 100% stock.

#2 - 10/20/2014 12:40 AM - TruePikachu

- Status changed from New to Need More Info

| was unable to reproduce on the runway in stock. However, | was then unable to reproduce either on the runway or above the atmosphere in
modded, indicating an issue with the testing procedure. Right now, it is my belief that more information about circumstances is required; Danny2462
having been able to reproduce the effects in an almost stock game (I just remembered he has HyperEdit, something neither of us have) tells me that
this is likely related to stock KSP.

Of mods which could cause this, KAS and PF are the most likely; | would think that if a mod is responsible for this, it would almost certainly be KAS. |
don't believe Danny2462 uses KAS though.

Is there anything special internally which happens at 100km? In my three tests which were affected by the bug, | always got explosions at 100km, of
the "structural failure between parts" kind.

#3 - 10/23/2014 03:16 AM - TruePikachu

Might be related to http://forum.kerbalspaceprogram.com/threads/97844 - | was using the Klaw to..."dock"...with a ship at one point, but | don't know if
it was in the same game session as either of my incidents (infinite-ascend-until-100K plane and the LV-N fairings). Even then, | can't think of a way for
the issue to persist into another vessel, so the Klaw probably isn't the only factor.

#4 - 11/01/2014 04:17 AM - TruePikachu

http://www.reddit.com/r/KerbalSpaceProgram/comments/2kr6aw/strange_bug_ruining_my_first_eve mission/
Almost certainly stock.

#5 - 11/06/2014 07:18 PM - gforce527

| seem to be having this problem as well. | run vanilla KSP on windows and | do not use any mods. It first occurred as | time warped a long nuclear
engine burn with a ship that is built in 2 parts, connected with the advanced grabbing unit. Reloading the game did not solve it in this case, whenever |
reloaded and attempted timewarp it would say my ship was under acceleration even though all engines were off. Staging view showed the ship to be
bobbing out of control at the AGU connect point, | tried releasing with the intent of reconnecting but my upper stage just blew up. | restarted a new
career and the bug came up again with just a plain rocket that | was using to clear the atmosphere - it is totally stuck and slowly accelerates away
from kerbal.

#6 - 11/10/2014 10:37 PM - TruePikachu

Right now, I'm tempted to say there is a relation to all the Klaw issues; if | connect two Klaws together like so:

00]< >[00
> @

| get the issue, and it persists across new crafts. I'm not sure as to the exact requirements for this, but it appears related to the various Klaw issues.
Leading theory is that the issues deal with how the Klaw resolves what craft is the parent (and what part is the root).

Internally, how is the Klaw implemented, compared to docking ports? Does it just act as a port which doesn't require a matching part on the other
craft? How are ambuigious or unexpected situations resolved? | once had an issue of my own where a function was inadvertantly returning a bad
(and sometimes "good", as in the data existed) value instead of complaining like it should have been:
https:/github.com/TruePikachu/unSIR0/commit/0c279056fa6d743905cf0b6bdébb112441991bec shows what | mean.

gforce: Try creating a new Career save without loading the old one

#7 - 11/28/2014 11:29 AM - Squelch

Trying to glean the salient points from this and the linked Reddit, it would appear that it is very similar to #2753 and possibly a duplicate.
We need to distill a simple set of reproduction steps for this issue to be presented to the developers for attention.

#8 - 07/27/2015 08:13 PM - Squelch

- Platform Win32 added
- Platform deleted (Win64)
http://youtu.be/kTg3vB8x3TY?t=9m15s
http://forum.kerbalspaceprogram.com/threads/97844
#9 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#10 - 08/09/2016 11:11 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
